#
# Conditional build:
%bcond_without	doc	# ri/rdoc documentation
%bcond_with	tests	# unit tests

%define		pkgname bundler
Summary:	Library and utilities to manage a Ruby application's gem dependencies
Summary(pl.UTF-8):	Biblioteka i narzędzia do zarządzania zależnościami gem aplikacji w języku Ruby
Name:		ruby-%{pkgname}
Version:	1.10.6
Release:	1
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	e637c15440d29a7fad933d0de5be351a
Patch0:		%{name}-unvendor.patch
URL:		http://bundler.io/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	ruby >= 1:1.8.7
BuildRequires:	ruby-rake >= 10.0
BuildRequires:	ruby-rubygems >= 1.3.6
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	ruby-ronn >= 0.7.3
BuildRequires:	ruby-ronn < 0.8
BuildRequires:	ruby-rspec >= 3.0
BuildRequires:	ruby-rspec < 3.1
%endif
# R molinillo, net-http-persistent, thor because we unvendored them: lib/bundler/vendored_persistent.rb
Requires:	ruby-molinillo >= 0.2.3
Requires:	ruby-net-http-persistent >= 2.9.3
Requires:	ruby-rubygems >= 1.3.6
Requires:	ruby-thor >= 0.19.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bundler manages an application's dependencies through its entire life,
across many machines, systematically and repeatably.

%description -l pl.UTF-8
Bundler zarządza zależnościami aplikacji przez cały jej żywot, na
wielu maszynach, systematycznie i powtarzalnie.

%package rdoc
Summary:	HTML documentation for Ruby bundler package
Summary(pl.UTF-8):	Dokumentacja w formacie HTML do pakietu bundler dla języka Ruby
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for Ruby bundler package.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML do pakietu bundler dla języka Ruby.

%package ri
Summary:	ri documentation for Ruby bundler package
Summary(pl.UTF-8):	Dokumentacja w formacie ri do pakietu bundler dla języka Ruby
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for Ruby bundler package.

%description ri -l pl.UTF-8
Dokumentacja w formacie ri do pakietu bundler dla języka Ruby.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

# do not generate shebang deps
chmod a-x lib/bundler/templates/Executable

# move, not to package
%{__mv} lib/bundler/vendor .

%build
# write .gemspec
%__gem_helper spec

%if %{with doc}
rdoc --op rdoc lib
rdoc --ri --op ri lib
%{__rm} ri/created.rid
%{__rm} ri/cache.ri

# external pkgs
%{__rm} -r ri/Gem
%{__rm} -r ri/Capistrano
%{__rm} -r ri/Rake
%{__rm} -r ri/lib/bundler/man
%{__rm} -r ri/lib/bundler/templates
%{__rm} ri/Object/cdesc-Object.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md CODE_OF_CONDUCT.md ISSUES.md LICENSE.md README.md
%attr(755,root,root) %{_bindir}/bundle
%attr(755,root,root) %{_bindir}/bundle_ruby
%attr(755,root,root) %{_bindir}/bundler
%{ruby_vendorlibdir}/bundler
%{ruby_vendorlibdir}/bundler.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Bundler
%{ruby_ridir}/Object/gemfile-i.ri
%{ruby_ridir}/ParallelInstaller
%endif
%changelog
* Tue Jun 12 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-bundler.git;a=log;h=master

* Tue Jun 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 6037303
- updated to 1.10.6
- added unvendor patch (use system molinillo and thor)

* Wed May 11 2016 Elan Ruusamäe <glen@delfi.ee> 194185b
- up to 1.7.15 (2015-04-29)

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> d194314
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 6c7c1eb
- rebuild with gemspec deps

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 9695e8c
- ruby 2.0 rebuld
- release 3 (by relup.sh)

* Sun May 04 2014 Elan Ruusamäe <glen@delfi.ee> 6bdac76
- no tests yet

* Sun May 04 2014 Elan Ruusamäe <glen@delfi.ee> 719e8d5
- install to vendor dirs, add test deps

* Thu Apr 17 2014 Jakub Bogusz <qboosh@pld-linux.org> e77b865
- updated to 1.6.2
- pl

* Thu Nov 07 2013 Elan Ruusamäe <glen@delfi.ee> b535e03
- add note about ruby-net-http-persistent dep

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> a55c26a
- package gemspec

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 4440999
- add doc bcond

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> 300d8f7
- adapter

* Wed Apr 24 2013 Elan Ruusamäe <glen@delfi.ee> 94c275f
- avoid /usr/bin/env deps

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> b9c9dd4
- up to 1.3.5; build noarch

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 1b88a09
- requre newer thor, 0.13.4 is too old; package bin

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> 16b05ce
- up to 1.3.1

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> 139783c
- Up to 1.0.3

* Sat Oct 16 2010 Caleb Maclennan <caleb@alerque.com> 3ffba79
- Replaced timestamp fix removed out of ignorance in previous commit, but updated for new file names in this version.

* Sat Oct 16 2010 Caleb Maclennan <caleb@alerque.com> 20ddab2
- Up to 1.0.2

* Thu May 13 2010 sparky <sparky@pld-linux.org> 56c388e
- BR: ruby-modules

